<section *ngIf="recipes" class="recipes-wrapper">

  <mat-card class="recipe-tile recipe-tile_add" [routerLink]="['/add']" title="Ajouter une recette">
    <mat-icon class="recipe-tile_add_icon" color="primary">add_circle</mat-icon>
  </mat-card>

  <mat-card *ngFor="let recipe of recipes" class="recipe-tile" id="{{ recipe._id }}">

    <div class="recipe-tile_image-wrapper">
      <img mat-card-image src="{{ recipe.img }}" alt="Image non disponible" class="recipe-tile_image">
    </div>

    <div class="recipe-tile_content-wrapper">
      <mat-card-header class="recipe-tile_header">
        <mat-card-title class="recipe-tile_header_title">{{ recipe.name }}</mat-card-title>
        <mat-card-subtitle>{{ recipe.type }}</mat-card-subtitle>
        <div class="recipe-tile_header_price">Pour {{ recipe.price }} €</div>
      </mat-card-header>

      <mat-card-content class="recipe-tile_bottom">
        <p class="recipe-tile_bottom_duration">Préparation : {{ recipe.duration }} min</p>
        <button mat-stroked-button color="primary">Voir</button>
        <button mat-stroked-button color="warn">Supprimer</button>
      </mat-card-content>
    </div>
  </mat-card>

</section>